#include "util.h"
#include <math.h>
#include <stdlib.h>

float vecMagnitude(float v[3])
{
	return sqrt(v[0]*v[0] + v[1]*v[1] + v[2]*v[2]);
}

void vecNormalize(float v[3])
{
	float mag = vecMagnitude(v);
	for (int i = 0; i < 3; i++)
		v[i] = v[i] / mag;
}


float randf()
{
	return (float)rand() / RAND_MAX;
}